Class ListTasksRequest.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderT>
com.google.protobuf.GeneratedMessage.Builder<ListTasksRequest.Builder>
org.a2aproject.sdk.grpc.ListTasksRequest.Builder
All Implemented Interfaces:
com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Cloneable, ListTasksRequestOrBuilder
Enclosing class:
ListTasksRequest

public static final class ListTasksRequest.Builder extends com.google.protobuf.GeneratedMessage.Builder<ListTasksRequest.Builder> implements ListTasksRequestOrBuilder
 Parameters for listing tasks with optional filtering criteria.
 
Protobuf type lf.a2a.v1.ListTasksRequest
  • Method Details

    • getDescriptor

      public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()
    • internalGetFieldAccessorTable

      protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()
      Specified by:
      internalGetFieldAccessorTable in class com.google.protobuf.GeneratedMessage.Builder<ListTasksRequest.Builder>
    • clear

      public ListTasksRequest.Builder clear()
      Specified by:
      clear in interface com.google.protobuf.Message.Builder
      Specified by:
      clear in interface com.google.protobuf.MessageLite.Builder
      Overrides:
      clear in class com.google.protobuf.GeneratedMessage.Builder<ListTasksRequest.Builder>
    • getDescriptorForType

      public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()
      Specified by:
      getDescriptorForType in interface com.google.protobuf.Message.Builder
      Specified by:
      getDescriptorForType in interface com.google.protobuf.MessageOrBuilder
      Overrides:
      getDescriptorForType in class com.google.protobuf.GeneratedMessage.Builder<ListTasksRequest.Builder>
    • getDefaultInstanceForType

      public ListTasksRequest getDefaultInstanceForType()
      Specified by:
      getDefaultInstanceForType in interface com.google.protobuf.MessageLiteOrBuilder
      Specified by:
      getDefaultInstanceForType in interface com.google.protobuf.MessageOrBuilder
    • build

      public ListTasksRequest build()
      Specified by:
      build in interface com.google.protobuf.Message.Builder
      Specified by:
      build in interface com.google.protobuf.MessageLite.Builder
    • buildPartial

      public ListTasksRequest buildPartial()
      Specified by:
      buildPartial in interface com.google.protobuf.Message.Builder
      Specified by:
      buildPartial in interface com.google.protobuf.MessageLite.Builder
    • mergeFrom

      public ListTasksRequest.Builder mergeFrom(com.google.protobuf.Message other)
      Specified by:
      mergeFrom in interface com.google.protobuf.Message.Builder
      Overrides:
      mergeFrom in class com.google.protobuf.AbstractMessage.Builder<ListTasksRequest.Builder>
    • mergeFrom

      public ListTasksRequest.Builder mergeFrom(ListTasksRequest other)
    • isInitialized

      public final boolean isInitialized()
      Specified by:
      isInitialized in interface com.google.protobuf.MessageLiteOrBuilder
      Overrides:
      isInitialized in class com.google.protobuf.GeneratedMessage.Builder<ListTasksRequest.Builder>
    • mergeFrom

      public ListTasksRequest.Builder mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException
      Specified by:
      mergeFrom in interface com.google.protobuf.Message.Builder
      Specified by:
      mergeFrom in interface com.google.protobuf.MessageLite.Builder
      Overrides:
      mergeFrom in class com.google.protobuf.AbstractMessage.Builder<ListTasksRequest.Builder>
      Throws:
      IOException
    • getTenant

      public String getTenant()
       Tenant ID, provided as a path parameter.
       
      string tenant = 1;
      Specified by:
      getTenant in interface ListTasksRequestOrBuilder
      Returns:
      The tenant.
    • getTenantBytes

      public com.google.protobuf.ByteString getTenantBytes()
       Tenant ID, provided as a path parameter.
       
      string tenant = 1;
      Specified by:
      getTenantBytes in interface ListTasksRequestOrBuilder
      Returns:
      The bytes for tenant.
    • setTenant

      public ListTasksRequest.Builder setTenant(String value)
       Tenant ID, provided as a path parameter.
       
      string tenant = 1;
      Parameters:
      value - The tenant to set.
      Returns:
      This builder for chaining.
    • clearTenant

      public ListTasksRequest.Builder clearTenant()
       Tenant ID, provided as a path parameter.
       
      string tenant = 1;
      Returns:
      This builder for chaining.
    • setTenantBytes

      public ListTasksRequest.Builder setTenantBytes(com.google.protobuf.ByteString value)
       Tenant ID, provided as a path parameter.
       
      string tenant = 1;
      Parameters:
      value - The bytes for tenant to set.
      Returns:
      This builder for chaining.
    • getContextId

      public String getContextId()
       Filter tasks by context ID to get tasks from a specific conversation or session.
       
      string context_id = 2;
      Specified by:
      getContextId in interface ListTasksRequestOrBuilder
      Returns:
      The contextId.
    • getContextIdBytes

      public com.google.protobuf.ByteString getContextIdBytes()
       Filter tasks by context ID to get tasks from a specific conversation or session.
       
      string context_id = 2;
      Specified by:
      getContextIdBytes in interface ListTasksRequestOrBuilder
      Returns:
      The bytes for contextId.
    • setContextId

      public ListTasksRequest.Builder setContextId(String value)
       Filter tasks by context ID to get tasks from a specific conversation or session.
       
      string context_id = 2;
      Parameters:
      value - The contextId to set.
      Returns:
      This builder for chaining.
    • clearContextId

      public ListTasksRequest.Builder clearContextId()
       Filter tasks by context ID to get tasks from a specific conversation or session.
       
      string context_id = 2;
      Returns:
      This builder for chaining.
    • setContextIdBytes

      public ListTasksRequest.Builder setContextIdBytes(com.google.protobuf.ByteString value)
       Filter tasks by context ID to get tasks from a specific conversation or session.
       
      string context_id = 2;
      Parameters:
      value - The bytes for contextId to set.
      Returns:
      This builder for chaining.
    • getStatusValue

      public int getStatusValue()
       Filter tasks by their current status state.
       
      .lf.a2a.v1.TaskState status = 3;
      Specified by:
      getStatusValue in interface ListTasksRequestOrBuilder
      Returns:
      The enum numeric value on the wire for status.
    • setStatusValue

      public ListTasksRequest.Builder setStatusValue(int value)
       Filter tasks by their current status state.
       
      .lf.a2a.v1.TaskState status = 3;
      Parameters:
      value - The enum numeric value on the wire for status to set.
      Returns:
      This builder for chaining.
    • getStatus

      public TaskState getStatus()
       Filter tasks by their current status state.
       
      .lf.a2a.v1.TaskState status = 3;
      Specified by:
      getStatus in interface ListTasksRequestOrBuilder
      Returns:
      The status.
    • setStatus

      public ListTasksRequest.Builder setStatus(TaskState value)
       Filter tasks by their current status state.
       
      .lf.a2a.v1.TaskState status = 3;
      Parameters:
      value - The status to set.
      Returns:
      This builder for chaining.
    • clearStatus

      public ListTasksRequest.Builder clearStatus()
       Filter tasks by their current status state.
       
      .lf.a2a.v1.TaskState status = 3;
      Returns:
      This builder for chaining.
    • hasPageSize

      public boolean hasPageSize()
       The maximum number of tasks to return. The service may return fewer than this value.
       If unspecified, at most 50 tasks will be returned.
       The minimum value is 1.
       The maximum value is 100.
       
      optional int32 page_size = 4;
      Specified by:
      hasPageSize in interface ListTasksRequestOrBuilder
      Returns:
      Whether the pageSize field is set.
    • getPageSize

      public int getPageSize()
       The maximum number of tasks to return. The service may return fewer than this value.
       If unspecified, at most 50 tasks will be returned.
       The minimum value is 1.
       The maximum value is 100.
       
      optional int32 page_size = 4;
      Specified by:
      getPageSize in interface ListTasksRequestOrBuilder
      Returns:
      The pageSize.
    • setPageSize

      public ListTasksRequest.Builder setPageSize(int value)
       The maximum number of tasks to return. The service may return fewer than this value.
       If unspecified, at most 50 tasks will be returned.
       The minimum value is 1.
       The maximum value is 100.
       
      optional int32 page_size = 4;
      Parameters:
      value - The pageSize to set.
      Returns:
      This builder for chaining.
    • clearPageSize

      public ListTasksRequest.Builder clearPageSize()
       The maximum number of tasks to return. The service may return fewer than this value.
       If unspecified, at most 50 tasks will be returned.
       The minimum value is 1.
       The maximum value is 100.
       
      optional int32 page_size = 4;
      Returns:
      This builder for chaining.
    • getPageToken

      public String getPageToken()
       A page token, received from a previous `ListTasks` call.
       `ListTasksResponse.next_page_token`.
       Provide this to retrieve the subsequent page.
       
      string page_token = 5;
      Specified by:
      getPageToken in interface ListTasksRequestOrBuilder
      Returns:
      The pageToken.
    • getPageTokenBytes

      public com.google.protobuf.ByteString getPageTokenBytes()
       A page token, received from a previous `ListTasks` call.
       `ListTasksResponse.next_page_token`.
       Provide this to retrieve the subsequent page.
       
      string page_token = 5;
      Specified by:
      getPageTokenBytes in interface ListTasksRequestOrBuilder
      Returns:
      The bytes for pageToken.
    • setPageToken

      public ListTasksRequest.Builder setPageToken(String value)
       A page token, received from a previous `ListTasks` call.
       `ListTasksResponse.next_page_token`.
       Provide this to retrieve the subsequent page.
       
      string page_token = 5;
      Parameters:
      value - The pageToken to set.
      Returns:
      This builder for chaining.
    • clearPageToken

      public ListTasksRequest.Builder clearPageToken()
       A page token, received from a previous `ListTasks` call.
       `ListTasksResponse.next_page_token`.
       Provide this to retrieve the subsequent page.
       
      string page_token = 5;
      Returns:
      This builder for chaining.
    • setPageTokenBytes

      public ListTasksRequest.Builder setPageTokenBytes(com.google.protobuf.ByteString value)
       A page token, received from a previous `ListTasks` call.
       `ListTasksResponse.next_page_token`.
       Provide this to retrieve the subsequent page.
       
      string page_token = 5;
      Parameters:
      value - The bytes for pageToken to set.
      Returns:
      This builder for chaining.
    • hasHistoryLength

      public boolean hasHistoryLength()
       The maximum number of messages to include in each task's history.
       
      optional int32 history_length = 6;
      Specified by:
      hasHistoryLength in interface ListTasksRequestOrBuilder
      Returns:
      Whether the historyLength field is set.
    • getHistoryLength

      public int getHistoryLength()
       The maximum number of messages to include in each task's history.
       
      optional int32 history_length = 6;
      Specified by:
      getHistoryLength in interface ListTasksRequestOrBuilder
      Returns:
      The historyLength.
    • setHistoryLength

      public ListTasksRequest.Builder setHistoryLength(int value)
       The maximum number of messages to include in each task's history.
       
      optional int32 history_length = 6;
      Parameters:
      value - The historyLength to set.
      Returns:
      This builder for chaining.
    • clearHistoryLength

      public ListTasksRequest.Builder clearHistoryLength()
       The maximum number of messages to include in each task's history.
       
      optional int32 history_length = 6;
      Returns:
      This builder for chaining.
    • hasStatusTimestampAfter

      public boolean hasStatusTimestampAfter()
       Filter tasks which have a status updated after the provided timestamp in ISO 8601 format (e.g., "2023-10-27T10:00:00Z").
       Only tasks with a status timestamp time greater than or equal to this value will be returned.
       
      .google.protobuf.Timestamp status_timestamp_after = 7;
      Specified by:
      hasStatusTimestampAfter in interface ListTasksRequestOrBuilder
      Returns:
      Whether the statusTimestampAfter field is set.
    • getStatusTimestampAfter

      public com.google.protobuf.Timestamp getStatusTimestampAfter()
       Filter tasks which have a status updated after the provided timestamp in ISO 8601 format (e.g., "2023-10-27T10:00:00Z").
       Only tasks with a status timestamp time greater than or equal to this value will be returned.
       
      .google.protobuf.Timestamp status_timestamp_after = 7;
      Specified by:
      getStatusTimestampAfter in interface ListTasksRequestOrBuilder
      Returns:
      The statusTimestampAfter.
    • setStatusTimestampAfter

      public ListTasksRequest.Builder setStatusTimestampAfter(com.google.protobuf.Timestamp value)
       Filter tasks which have a status updated after the provided timestamp in ISO 8601 format (e.g., "2023-10-27T10:00:00Z").
       Only tasks with a status timestamp time greater than or equal to this value will be returned.
       
      .google.protobuf.Timestamp status_timestamp_after = 7;
    • setStatusTimestampAfter

      public ListTasksRequest.Builder setStatusTimestampAfter(com.google.protobuf.Timestamp.Builder builderForValue)
       Filter tasks which have a status updated after the provided timestamp in ISO 8601 format (e.g., "2023-10-27T10:00:00Z").
       Only tasks with a status timestamp time greater than or equal to this value will be returned.
       
      .google.protobuf.Timestamp status_timestamp_after = 7;
    • mergeStatusTimestampAfter

      public ListTasksRequest.Builder mergeStatusTimestampAfter(com.google.protobuf.Timestamp value)
       Filter tasks which have a status updated after the provided timestamp in ISO 8601 format (e.g., "2023-10-27T10:00:00Z").
       Only tasks with a status timestamp time greater than or equal to this value will be returned.
       
      .google.protobuf.Timestamp status_timestamp_after = 7;
    • clearStatusTimestampAfter

      public ListTasksRequest.Builder clearStatusTimestampAfter()
       Filter tasks which have a status updated after the provided timestamp in ISO 8601 format (e.g., "2023-10-27T10:00:00Z").
       Only tasks with a status timestamp time greater than or equal to this value will be returned.
       
      .google.protobuf.Timestamp status_timestamp_after = 7;
    • getStatusTimestampAfterBuilder

      public com.google.protobuf.Timestamp.Builder getStatusTimestampAfterBuilder()
       Filter tasks which have a status updated after the provided timestamp in ISO 8601 format (e.g., "2023-10-27T10:00:00Z").
       Only tasks with a status timestamp time greater than or equal to this value will be returned.
       
      .google.protobuf.Timestamp status_timestamp_after = 7;
    • getStatusTimestampAfterOrBuilder

      public com.google.protobuf.TimestampOrBuilder getStatusTimestampAfterOrBuilder()
       Filter tasks which have a status updated after the provided timestamp in ISO 8601 format (e.g., "2023-10-27T10:00:00Z").
       Only tasks with a status timestamp time greater than or equal to this value will be returned.
       
      .google.protobuf.Timestamp status_timestamp_after = 7;
      Specified by:
      getStatusTimestampAfterOrBuilder in interface ListTasksRequestOrBuilder
    • hasIncludeArtifacts

      public boolean hasIncludeArtifacts()
       Whether to include artifacts in the returned tasks.
       Defaults to false to reduce payload size.
       
      optional bool include_artifacts = 8;
      Specified by:
      hasIncludeArtifacts in interface ListTasksRequestOrBuilder
      Returns:
      Whether the includeArtifacts field is set.
    • getIncludeArtifacts

      public boolean getIncludeArtifacts()
       Whether to include artifacts in the returned tasks.
       Defaults to false to reduce payload size.
       
      optional bool include_artifacts = 8;
      Specified by:
      getIncludeArtifacts in interface ListTasksRequestOrBuilder
      Returns:
      The includeArtifacts.
    • setIncludeArtifacts

      public ListTasksRequest.Builder setIncludeArtifacts(boolean value)
       Whether to include artifacts in the returned tasks.
       Defaults to false to reduce payload size.
       
      optional bool include_artifacts = 8;
      Parameters:
      value - The includeArtifacts to set.
      Returns:
      This builder for chaining.
    • clearIncludeArtifacts

      public ListTasksRequest.Builder clearIncludeArtifacts()
       Whether to include artifacts in the returned tasks.
       Defaults to false to reduce payload size.
       
      optional bool include_artifacts = 8;
      Returns:
      This builder for chaining.